## xevil 2.02r2

=== debian/changelog ===
xevil (2.02r2-11) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * Maintain package in Debian Games team
    Closes: #1106700
  * d/control: Homepage belongs to source package information
  * Point watch file to Github which seems to be the better option
    than not working upstream site and asked upstream to use tags
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Remove article from synopsis
  * Propagate hardening options
  * Add desktop file
    Closes: #738062
  * Remove debian/menu since there is a desktop file now
  * d/copyright: review

  [ Helmut Grohne ]
  * Do not hard code the build architecture compiler
    Closes: #1010181

  [ Piotr Sokołowski ]
  * Fix build with clang
    Closes: #742968

 -- Andreas Tille <tille@debian.org>  Wed, 28 May 2025 07:48:33 +0200

xevil (2.02r2-10.2) unstable; urgency=low

  * Non-maintainer upload.
  * Change debhelper compat from 5 to 11. (Closes: #965893)
    - Update debian/rules. (Closes: #998982)
    - Clean files by debian/clean
  * Change source package to DebSrc3.0 with quilt.
    - Split diff.gz to quilt patches.
  * debian/copyright: Change to dep5 machine-readable format.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 12 Jan 2022 21:15:35 +0800

xevil (2.02r2-10.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fixed FTBFS with GCC 6 and higher. Thanks to Javier Serrano
    Polo <javier@jasp.net> for the patch. (Closes: #831104)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 07 Jun 2020 02:11:06 -0300

xevil (2.02r2-10) unstable; urgency=low

  * Fixed bug that sometimes prevented X resources from being read properly.
    Thank you, Rowan Vince, for finding the bug and providing a patch.
    (Closes: #622100)
  * Enabled parallel building in rules file when using DEB_BUILD_OPTIONS
  * Added Homepage field to control file
  * copyright file now points to GPL-2 instead of GPL
  * Explicitly state that package uses source format 1.0 by adding file
    debian/source/format
  * Added xevil.doc-base file to describe installed documentation
  * Set Standards Version to 3.9.2 (no changes)

 -- Brandon Barnes <winterknight@nerdshack.com>  Tue, 12 Apr 2011 21:54:00 -0700

xevil (2.02r2-9) unstable; urgency=low

  * changed several char * to const char * so xevil will compile with gcc 4.4+
    Removed -Wno-write-strings from rules file. No longer needed.
    (Closes: #560444)
  * Fixed watch file. Thanks to Daniel Leidert for helping me on the mailing
    list.
  * rules file no longer ignores make clean errors. Modified makefile to not
    report errors when attempting to remove non-existant files. Fixes lintian
    warning.
  * added ${misc:Depends} to control file. Fixes lintian warning. Now causes
    "dpkg-gencontrol: warning: unknown substitution variable ${misc:Depends}"
    instead.
  * both man pages - converted dashes (-) to hyphens (\-) where appropriate.
    Fixes lintain warning.
  * Set Standards Version to 3.8.3 (no changes)

 -- Brandon Barnes <winterknight@nerdshack.com>  Tue, 12 Jan 2010 12:37:00 -0800

xevil (2.02r2-8) unstable; urgency=low

  * Removed bashism from rule file (Closes: #459141)
  * Added menu and pixmap
  * renamed serverping to xevil-serverping
  * replaced dependency on transitional package x-dev with x11proto-core-dev
  * Set Standards-Version to 3.7.3 (modified menu to put xevil in
    Games/Action rather than Games/Arcade)
  * xevil-serverping no longer unnecessarily links against libXpm and libX11

 -- Brandon Barnes <winterknight@nerdshack.com>  Fri, 18 Jan 2008 01:22:00 -0800

xevil (2.02r2-7) unstable; urgency=low

  * Fixed broken network (Closes: #240311)
  * Hopefully, fixed munmap_chunk(): invalid pointer crash at startup
    which some users were experiencing.
  * Commented out assert that was causing early server abort in network
    games (Closes: #94326)

 -- Brandon Barnes <winterknight@nerdshack.com>  Tue, 22 May 2007 11:33:00 -0700

xevil (2.02r2-6) unstable; urgency=low

  * Removed forced license agreement before every play.
  * Added keyboard shortcuts for common menu items
  * Suppressed compiler white noise
  * Added some "witty" sayings and names
  * Added xevil man page
  * Minor, misc fixes/improvements

 -- Brandon Barnes <winterknight@nerdshack.com>  Sat, 20 Jan 2007 3:24:00 -0800

xevil (2.02r2-5) unstable; urgency=low

  * New Maintainer (Closes: #353389)

 -- Brandon Barnes <winterknight@nerdshack.com>  Sat, 16 Dec 2006 09:23:00 -0800

xevil (2.02r2-4) unstable; urgency=low

  * QA upload.
  * Package is orphaned (#353389); set maintainer to Debian QA Group.
  * Acknowledge NMU.  Closes: #346813.
  * Fix build failure with g++ 4.1.  Thanks to Martin Michlmayr for
    the patch.  Closes: #356321.
  * Switch to debhelper 5.
  * debian/changelog: Remove obsolete Emacs local variables.
  * debian/rules: Add support for DEB_BUILD_OPTIONS=noopt.
  * debian/watch: Add.
  * Conforms to Standards version 3.6.2.

 -- Matej Vela <vela@debian.org>  Sat, 11 Mar 2006 23:38:44 +0100

xevil (2.02r2-3.1) unstable; urgency=low

  * Non-maintainer upload to help xlibs-dev transition.
  * debian/control: Replaced xlibs-dev build-dep. (Closes: #346813)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Fri, 20 Jan 2006 16:57:12 +0100

xevil (2.02r2-3) unstable; urgency=low

  * Fix compilation with g++ 4.0 (Closes: #297848)

 -- Aaron Lehmann <aaronl@vitelus.com>  Fri, 22 Jul 2005 15:53:10 -0700

xevil (2.02r2-2) unstable; urgency=low

  * Fix a memory leak.

 -- Aaron Lehmann <aaronl@vitelus.com>  Sat, 21 Jun 2003 22:57:26 -0700

xevil (2.02r2-1) unstable; urgency=low

  * New upstream version. Nothing new, just merging.

 -- Aaron Lehmann <aaronl@vitelus.com>  Sat, 21 Jun 2003 22:18:34 -0700

xevil (2.02-6) unstable; urgency=low


