=== debian/control ===
Source: xevil
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Brandon Barnes <winterknight@nerdshack.com>,
 Alexandre Detiste <tchet@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 libx11-dev,
 libxpm-dev,
 x11proto-core-dev,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/games-team/xevil
Vcs-Git: https://salsa.debian.org/games-team/xevil.git
Homepage: https://www.xevil.com/
X-Style: black

Package: xevil
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: violent side-scrolling game for X
 XEvil is a 3rd person, side-view, fast-action,
 kill-them-before-they-kill-you game. Fight against either
 computer-controlled enemies, or another player.
 .
 You sinned in life. And now you must pay. Satan pits the recently
 deceased against each other to fight for rank in Hell. Your skill
 determines your fate for all eternity. This contest is known as XEvil.
