=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEBUG_OPT = -Wno-trigraphs -g

export FORCEHOSTTYPE=debian-linux
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- DEBUG_OPT="$(DEBUG_OPT) $(CFLAGS)"

execute_after_dh_auto_clean:
	rm -rf x11/release

execute_before_dh_auto_install:
	mv x11/release/serverping x11/release/xevil-serverping
	cp x11/bitmaps/ui/xevil_icon.xpm x11/bitmaps/ui/xevil.xpm
	dh_auto_install
