=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/lvella/xevil/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

# Asked for tags in issue
# https://github.com/lvella/xevil/issues/9
